#include "CivVariant.h"

CivVariant::~CivVariant()
{

}

CivVariant::CivVariant(Type type)
{

}

CivVariant::CivVariant(const CivVariant& other)
{

}

CivVariant::CivVariant(int i)
{

}

CivVariant::CivVariant(bool b) 
{

}
CivVariant::CivVariant(double d)
{

}

CivVariant::CivVariant(float f)
{

}

CivVariant::Type CivVariant::type() const
{

}

int CivVariant::userType() const
{
	int res = 0;
	return res;
}

const char* CivVariant::typeName() const
{
	
	return nullptr;
}

bool CivVariant::canConvert(int targetTypeId) const
{

}

bool CivVariant::convert(int targetTypeId)
{
	return true;
}

inline bool CivVariant::isValid() const
{
	return true;
}

bool CivVariant::isNull() const
{
	return true;
}

void CivVariant::clear()
{

}

void CivVariant::detach()
{

}

inline bool CivVariant::isDetached() const
{
	return true;
}

int CivVariant::toInt(bool* ok) const
{
	int res = 0;
	return res;
}

bool CivVariant::toBool() const
{
	return true;
}

double CivVariant::toDouble(bool* ok) const
{
	double ss = 0;
	return ss;
}

float CivVariant::toFloat(bool* ok) const
{
	float ff = 0;
	return ff;
}

const char* CivVariant::typeToName(int typeId)
{
	return nullptr;
}

CivVariant::Type CivVariant::nameToType(const char* name)
{
	return Type::Bool;
}

void* CivVariant::data()
{

}

const void* CivVariant::constData() const
{
	return nullptr;
}